<?php

// $pdf->Image(dirname(__FILE__).'/../images/invoices/'.strtolower($status).'.png',120,65,50);
$pdf->SetX(20);
$pdf->SetFont('Arial','B',16);
$pdf->Cell(0,8,$_LANG["invoicestitle"].$invoiceid,0,1,'L','0');

# Logo
$pdf->Image(dirname(__FILE__).'/../images/logo.jpg',150,10,50);

$pdf->Ln(2);

# Header Bar
$pdf->SetXY(125,40);
$pdf->SetFont('Arial','B',15);
$pdf->SetFillColor(239);
$pdf->SetFont('Arial','',10);
$pdf->SetX(125);
$pdf->Cell(0,6,$_LANG["invoicesdatecreated"].' : '.$datecreated.'',0,1,'L','1');
//$pdf->SetX(125);
//$pdf->Cell(0,6,$_LANG["invoicesdatedue"].' : '.$duedate.'',0,1,'L','1');

$pdf->SetX(125);
$pdf->Cell(0,6,'Betaalwijze : '.$paymentmethod.'',0,1,'L','1');

if ($paymentmethod == "Automatische Incasso") {
   $pdf->SetX(125);
   $pdf->Cell(0,6,' ',0,1,'L','1');
} else {
   $pdf->SetX(125);
   $pdf->Cell(0,6,'Betaling aub voor: '.$duedate.'',0,1,'L','1');
}
#$pdf->Ln(5);

# Clients Details
$pdf->SetXY(20,50);
//$pdf->Cell(0,4,$_LANG["invoicesinvoicedto"],0,2);
$pdf->SetFont('Arial','',11);
if ($clientsdetails["companyname"]) {
	$pdf->Cell(0,4,$clientsdetails["companyname"],0,2,'L');
	$pdf->Cell(0,4,$_LANG["invoicesattn"]." ".$clientsdetails["firstname"]." ".$clientsdetails["lastname"],0,2,'L'); 
} else {
	$pdf->Cell(0,4,$clientsdetails["firstname"]." ".$clientsdetails["lastname"],0,2,'L'); 			
}

$pdf->SetFont('Arial','',11);
$pdf->Cell(0,4,$clientsdetails["address1"],0,2,'L');
if ($clientsdetails["address2"]) {
	$pdf->Cell(0,4,$clientsdetails["address2"],0,2,'L');
}
$pdf->SetFont('Arial','',11);
$pdf->Cell(0,4,$clientsdetails["postcode"]."  ".$clientsdetails["city"],0,2,'L');

if ($clientsdetails["country"] != "Netherlands") {
	$pdf->Cell(0,4,$clientsdetails["country"],0,1,'L');
}
 
$pdf->Ln(45);

$pdf->SetDrawColor(200);

$pdf->SetFont('Arial','B',10);
$pdf->SetFillColor(239);
$pdf->Cell(148,7,$_LANG["invoicesdescription"],1,0,'L','1');
$pdf->Cell(40,7,$_LANG["invoicesamount"],1,0,'C','1');
$pdf->Ln();

$pdf->SetFont('Arial','',10);

foreach ($invoiceitems AS $item) {
	if (strlen($item["description"])>85) {
		$pdf->Cell(148,6,substr($item["description"],0,85),1);
		$pdf->Cell(40,6,$currencysymbol." ".$item["amount"],1,0,'C');
		$pdf->Ln();
		$pdf->Cell(148,6,substr($item["description"],85),1);
		$pdf->Cell(40,6,"",1,0,'C');
	} else {
		$pdf->Cell(148,6,$item["description"],1);
		$pdf->Cell(40,6,$currencysymbol." ".$item["amount"],1,0,'C');
	}
	$pdf->Ln();
}

$pdf->SetFont('Arial','B',10);

$pdf->Cell(148,7,$_LANG["invoicessubtotal"].":",1,0,'R','1');
$pdf->Cell(40,7,$currencysymbol." ".$subtotal,1,0,'C','1');
$pdf->Ln();

if ($CONFIG["TaxEnabled"]) {
	$pdf->Cell(148,7,$taxrate."% ".$_LANG["invoicestax"].":",1,0,'R','1');
	$pdf->Cell(40,7,$currencysymbol." ".$tax,1,0,'C','1');
	$pdf->Ln();
}

$pdf->Cell(148,7,$_LANG["invoicescredit"].":",1,0,'R','1');
$pdf->Cell(40,7,$currencysymbol." ".$credit,1,0,'C','1');
$pdf->Ln();

$pdf->Cell(148,7,$_LANG["invoicestotal"].":",1,0,'R','1');
$pdf->Cell(40,7,$currencysymbol." ".$total,1,0,'C','1');
$pdf->Ln();

$pdf->Ln();

if ($notes) {
	$pdf->SetFont('Arial','',8);
	$pdf->MultiCell(188,5,$_LANG["invoicesnotes"].": $notes");
}

if ($status=="Cancelled") {
	$pdf->SetXY(90,80);
	$statustext = $_LANG["invoicescancelled"];
} elseif ($status=="Unpaid") {
	$pdf->SetXY(90,80);
	$statustext = $_LANG["invoicesunpaid"];
} elseif ($status=="Paid") {
	$pdf->SetXY(90,80);
	$statustext = $_LANG["invoicespaid"];
}

$pdf->SetFont('Arial','B',40);
$pdf->SetTextColor(245);
$pdf->Write(5,strtoupper($statustext));

# Footer
$pdf->SetMargins(15, 27, 15); // left, top, right 
$pdf->SetAutoPageBreak(TRUE, 5); // TRUE, margin down 
$pdf->SetFooterMargin(5); 
// $pdf->SetFooterFont(array('arial', '', 8)); // @array font, type (B, I, BI), size 
// $pdf->SetFooterData($CONFIG["Domain"] . " - ".$_LANG["page"]." {pg} / {nb}"); 
$pdf->setPrintHeader(false); 
$pdf->setPrintFooter(true); 

// Factuur footer
$pdf->SetXY(15,-15); # Set Location 
//Set font
$pdf->SetFont('Arial', '', 6.5); # Use 6.5pt Text 
$pdf->SetTextColor(128);

//Centered text in a framed 80*5 mm cell and line break
$pdf->MultiCell(180, 3, "Bilderdijklaan 112 A  3723 DG Bilthoven\nKvK 30191573  BTW nr: NL.019913205.B.01  Postbank 7956177  SWIFT / BIC code PSTBNL21  IBAN NL 10 PSTB 0007 9561 77\nOp al onze offertes, leveringen en diensten zijn onze Algemene Voorwaarden van toepassing, deze zijn altijd beschikbaar op http://www.dutch-net.nl", 0, 'C');


?>
